#17713 closed Bugs (Fixed)

xbmc.getInfoLabel('Network.MacAddress') broken

Reported by: JinJin Owned by:
Priority: 4 - Normal
Component: > Choose specific component Version: 18.0 "Leia" Alpha1
Severity: Normal Keywords:
Cc: lrusak Blocked By:
Blocking: Platform: Android

Description

Hi, i'm using xbmc.getInfoLabel('Network.MacAddress') to generate a unique id for my addons but it seems to return nothing (empty string?) now. I can not reproduce this issue (no android device available and working on windows and libreelec) but i'm getting few reports, including peak3d, that my addons won't start. I've already contacted him with further details, but maybe someone else can also look into this.

my code: https://github.com/kodinerds/repo/blob/master/plugin.video.eurosportplayer/resources/lib/common.py#L109

log from other guy (line 370): https://paste.ubuntu.com/26314093/

last working build 20171221: https://forum.kodi.tv/showthread.php?tid=205551&pid=2686583#pid2686583

Change History (3)

comment:1 Changed at 2018-01-16T07:26:02Z by peak3d

  • Cc lrusak added

comment:2 Changed at 2018-01-18T18:32:20Z by Martijn

  • Milestone changed from Pending / Future to 18.0 "L*****"
  • Resolution set to Fixed
  • Status changed from new to closed

comment:3 Changed at 2018-08-08T20:32:09+01:00 by Martijn

  • Milestone changed from 18.0 "L*****" to 18.0 "Leia"

Milestone renamed

Note: See TracTickets for help on using tickets.